## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateElement

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  XMLValueFunctionValidateElementImpl

    public interface XMLValueFunctionValidateElement

extends SQLQueryObject

A representation of the model object 'XML Value Function Validate Element'.

The following features are supported:

- `Validate Element Namespace`
- `Validate Element Name`
- `Validate According To`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement()`

Method Summary
`XMLValueFunctionValidateAccordingTo` `getValidateAccordingTo()` Returns the value of the 'Validate According To' container reference.
`XMLValueFunctionValidateElementName` `getValidateElementName()` Returns the value of the 'Validate Element Name' containment reference.
`XMLValueFunctionValidateElementNamespace` `getValidateElementNamespace()` Returns the value of the 'Validate Element Namespace' containment reference.
`void` `setValidateAccordingTo(XMLValueFunctionValidateAccordingTo value)` Sets the value of the '`Validate According To`' container reference.
`void` `setValidateElementName(XMLValueFunctionValidateElementName value)` Sets the value of the '`Validate Element Name`' containment reference.
`void` `setValidateElementNamespace(XMLValueFunctionValidateElementNamespace value)` Sets the value of the '`Validate Element Namespace`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValidateElementNamespace

    XMLValueFunctionValidateElementNamespace getValidateElementNamespace()

  Returns the value of the 'Validate Element Namespace' containment reference. It is bidirectional and its opposite is '`Validate Element`'.

  If the meaning of the 'Validate Element Namespace' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Element Namespace' containment reference.
  See Also:
    `setValidateElementNamespace(XMLValueFunctionValidateElementNamespace)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateElementNamespace()`, `XMLValueFunctionValidateElementNamespace.getValidateElement()`

### setValidateElementNamespace

    void setValidateElementNamespace(XMLValueFunctionValidateElementNamespace value)

  Sets the value of the '`Validate Element Namespace`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Element Namespace' containment reference.
  See Also:
    `getValidateElementNamespace()`

### getValidateElementName

    XMLValueFunctionValidateElementName getValidateElementName()

  Returns the value of the 'Validate Element Name' containment reference. It is bidirectional and its opposite is '`Validate Element`'.

  If the meaning of the 'Validate Element Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Element Name' containment reference.
  See Also:
    `setValidateElementName(XMLValueFunctionValidateElementName)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateElementName()`, `XMLValueFunctionValidateElementName.getValidateElement()`

### setValidateElementName

    void setValidateElementName(XMLValueFunctionValidateElementName value)

  Sets the value of the '`Validate Element Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Element Name' containment reference.
  See Also:
    `getValidateElementName()`

### getValidateAccordingTo

    XMLValueFunctionValidateAccordingTo getValidateAccordingTo()

  Returns the value of the 'Validate According To' container reference. It is bidirectional and its opposite is '`Validate Element`'.

  If the meaning of the 'Validate According To' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate According To' container reference.
  See Also:
    `setValidateAccordingTo(XMLValueFunctionValidateAccordingTo)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElement_ValidateAccordingTo()`, `XMLValueFunctionValidateAccordingTo.getValidateElement()`

### setValidateAccordingTo

    void setValidateAccordingTo(XMLValueFunctionValidateAccordingTo value)

  Sets the value of the '`Validate According To`' container reference.

  Parameters:
    `value` - the new value of the 'Validate According To' container reference.
  See Also:
    `getValidateAccordingTo()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.